tttk_op_string(library call)

NAME
tttk_op_string — map a ToolTalk op code to a string

SYNOPSIS

#include &<Tt/tttk.h>
char *tttk_op_string(
Tttk_op opcode);

DESCRIPTION

The tttk_op_string function returns a string containing the op for opcode.

RETURN VALUE

Upon successful completion, the tttk_op_string function returns a string that can be freed using tt_free(3); otherwise, it returns NULL.

APPLICATION USAGE

The distinctions in the Tttk_op enumerated type are for programmer convenience, and elements of Tttk_op do not necessarily map one-to-one with op strings, since ToolTalk allows ops to be overloaded. For example, TTME_EDIT and TTME_COMPOSE are overloaded on the same op (Edit), and the messages only vary by the Tt_mode of the first argument.

SEE ALSO

Tt/tttk.h - Tttttk(5), tt_message_op(3), tt_free(3).